org.hibernate.search.query.dsl.impl

## Class ConnectedFacetParameterContext

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.ConnectedFacetParameterContext

- All Implemented Interfaces:
    FacetParameterContext, FacetTermination
  Direct Known Subclasses:
    ConnectedFacetRangeAboveContext, ConnectedFacetRangeBelowContinuationContext, ConnectedFacetRangeEndContext

      public class ConnectedFacetParameterContext
      extends Object
      implements FacetParameterContext

  Author:
    Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectedFacetParameterContext(org.hibernate.search.query.dsl.impl.FacetBuildingContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FacetingRequest` | `createFacetingRequest()`
    `FacetParameterContext` | `includeZeroCounts(boolean zeroCounts)`
    `FacetParameterContext` | `maxFacetCount(int maxFacetCount)` Limits the maximum numbers of facets to the specified number.
    `FacetParameterContext` | `orderedBy(FacetSortOrder sort)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectedFacetParameterContext

          public ConnectedFacetParameterContext(org.hibernate.search.query.dsl.impl.FacetBuildingContext context)

  - ### Method Detail

    - #### orderedBy

          public FacetParameterContext orderedBy(FacetSortOrder sort)

      Specified by:
        `orderedBy` in interface `FacetParameterContext`
      Parameters:
        `sort` - the sort order for the returned facets.
      Returns:
        a `FacetParameterContext` to continue building the facet request

    - #### includeZeroCounts

          public FacetParameterContext includeZeroCounts(boolean zeroCounts)

      Specified by:
        `includeZeroCounts` in interface `FacetParameterContext`
      Parameters:
        `zeroCounts` - Determines whether values with zero counts are included into the facet result
      Returns:
        a `FacetParameterContext` to continue building the facet request

    - #### maxFacetCount

          public FacetParameterContext maxFacetCount(int maxFacetCount)

      Description copied from interface: `FacetParameterContext`
      Limits the maximum numbers of facets to the specified number.
      Specified by:
        `maxFacetCount` in interface `FacetParameterContext`
      Parameters:
        `maxFacetCount` - the maximum number of facets to include in the response. A negative value means that all facets will be included
      Returns:
        a `FacetParameterContext` to continue building the facet request

    - #### createFacetingRequest

          public FacetingRequest createFacetingRequest()

      Specified by:
        `createFacetingRequest` in interface `FacetTermination`
      Returns:
        the `FacetingRequest` produced by the building process.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved